package de.hftstuttgart.cityunits.tests;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.time.LocalTime;
import java.time.format.DateTimeParseException;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;


class DayOfTimeTest {

	@Test
	void testCreationFromString() {
		var time = LocalTime.parse("12:34:11");
		assertEquals("12:34:11", time.toString(), "LocalTime conversion to and from ISO format not working!");
	}

	@Test
	void testWrongString() {
		Assertions.assertThrowsExactly(DateTimeParseException.class, () -> LocalTime.parse("12:34:60"),
				"DateTimeParseException was expected!");
	}
}
